---
# Author: Guillaume Mella
# Description: install MATISSE python tools
#
# Main information:   https://gitlab.oca.eu/MATISSE/tools
#
#

- name: "Install MATISSE python tools"
  block:
   - apt:
      name: ['git', 'python-pip', 'libgtk2.0-dev', 'libgtk-3-dev', 'python-gtk2-dev']

   - git:
      repo: https://gitlab.oca.eu/MATISSE/tools/
      version: canari
      dest: /opt/MATISSE_tools
      force: yes
      #      force: no
      #     ignore_errors: yes

   - pip:
      virtualenv: /opt/venv
      chdir: "/opt/MATISSE_tools"
      name: .

   - lineinfile:
      path: "/etc/profile.d/{{role_name}}.sh"
      create: yes
      line: "export PATH=$PATH:/opt/MATISSE_tools/mat_tools"

- name: "Install IMAREC"
  block:

   - apt:
      name: ['tcsh', 'xorg-dev', 'libncurses5-dev', 'libxt-dev', 'wcstools', 'gfortran', 
       'gv', 'gnuplot', 'gawk', 'texlive-latex-recommended', 'graphicsmagick-imagemagick-compat', 'psutils' , 'ps2eps']


 #
   - get_url:
      url: "https://heasarc.gsfc.nasa.gov/cgi-bin/Tools/tarit/tarit.pl?mode=download&arch=src&src_pc_linux_debian=Y&src_other_specify=&general=futils&general=heatools"
      dest: /opt/heasoft-src.tar.gz
      timeout: 360

   - file:
        path: /opt/heasoft
        state: directory
        mode: 0755

   - unarchive:
      src: /opt/heasoft-src.tar.gz
      dest: /opt/heasoft
      remote_src: yes
      creates: /opt/heasoft/heasoft-6.28

# TODO try to remove hardcoded values
# and remove /opt/heasoft/heasoft-6.28/ to save diskspace
   - shell: "./configure prefix=/opt/heasoft && make && make install && touch /opt/heasoft.done"
     args:
       chdir: "/opt/heasoft/heasoft-6.28/BUILD_DIR/"
       creates: "/opt/heasoft.done"


   - blockinfile:
       dest: "/etc/profile.d/{{role_name}}.sh"
       create: yes
       marker: "# {mark} ANSIBLE MANAGED BLOCK - {{role_name}}"
       block: |
         export HEADAS=/opt/heasoft/x86_64-pc-linux-gnu-libc2.28/
         . $HEADAS/headas-init.sh
         export PATH=$PATH:/opt/MATISSE_tools/imarec
         export SCRIPTS=/opt/MATISSE_tools/imarec







